import httputils from '@/api/httputils'
export default {
    query(criteria) {
        return httputils.postJson('/admin/role/query', criteria)
    },
    create(role) {
        return httputils.postJson('/admin/role/create', role)
    },
    update(role) {
        return httputils.postJson('/admin/role/update', role)
    },
    delete(role) {
        return httputils.postJson('/admin/role/delete', role)
    },
    getOperations(id) {
        return httputils.getJson('/admin/role/getOperations?id=' + id)
    },
    setOperations(data) {
        return httputils.postJson('/admin/role/setOperations', data)
    }
}
